org.apache.commons.math3.linear

## Class NonSquareOperatorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - org.apache.commons.math3.exception.MathIllegalArgumentException
          - - org.apache.commons.math3.exception.MathIllegalNumberException
            - - org.apache.commons.math3.exception.DimensionMismatchException
              - - org.apache.commons.math3.linear.NonSquareOperatorException

- All Implemented Interfaces:
    Serializable, ExceptionContextProvider

      public class NonSquareOperatorException
      extends DimensionMismatchException

  Exception to be thrown when a square linear operator is expected.
  Since:
    3.0
  Version:
    $Id: NonSquareOperatorException.java 1244107 2012-02-14 16:17:55Z erans $
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NonSquareOperatorException(int wrong, int expected)` Construct an exception from the mismatched dimensions.

  - ### Method Summary

    - ### Methods inherited from class org.apache.commons.math3.exception.DimensionMismatchException

      `getDimension`

    - ### Methods inherited from class org.apache.commons.math3.exception.MathIllegalNumberException

      `getArgument`

    - ### Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException

      `getContext, getLocalizedMessage, getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NonSquareOperatorException

          public NonSquareOperatorException(int wrong,
                                    int expected)

      Construct an exception from the mismatched dimensions.
      Parameters:
        `wrong` - Row dimension.
        `expected` - Column dimension.

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.